# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Mon Jul  4 13:11:36 2022
# ------------------------------------------------

package:
  name: numexpr
  version: 2.8.3
source:
  sha256: cb647c9d9c785dae0759bf6c875cde2bec472b5c3f7a6015734b161ae766d141
  url: https://pypi.io/packages/source/n/numexpr/numexpr-2.8.3.tar.gz
build:
  number: '0'
  script: /opt/conda/conda-bld/numexpr_1656940300424/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . --no-deps -vv
  string: py39hd2a5715_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 openblas
    - ca-certificates 2022.4.26 h06a4308_0
    - certifi 2022.6.15 py39h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libopenblas 0.3.20 h043d6bf_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.3 h7f8727e_2
    - nomkl 3.0 0
    - numpy 1.16.6 py39h0708ffd_4
    - numpy-base 1.16.6 py39ha8aedfd_4
    - openblas-devel 0.3.20 h06a4308_1
    - openssl 1.1.1p h5eee18b_0
    - pip 21.2.4 py39h06a4308_0
    - python 3.9.12 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 61.2.0 py39h06a4308_0
    - sqlite 3.38.5 hc218d9a_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  run:
    - blas * openblas
    - libgcc-ng >=11.2.0
    - libopenblas >=0.3.20,<1.0a0
    - libstdcxx-ng >=11.2.0
    - numpy >=1.16.6,<2.0a0
    - packaging
    - python >=3.9,<3.10.0a0
test:
  commands:
    - pip check
  imports:
    - numexpr
    - numexpr.interpreter
  requires:
    - nomkl
    - pip
about:
  description: 'Numexpr is a fast numerical expression evaluator for NumPy. With it,

    expressions that operate on arrays (like "3*a+4*b") are accelerated and use

    less memory than doing the same calculation in Python.

    '
  dev_url: https://github.com/pydata/numexpr
  doc_url: https://github.com/pydata/numexpr/wiki/Numexpr-Users-Guide
  home: https://github.com/pydata/numexpr
  license: MIT
  license_family: MIT
  license_file: LICENSE.txt
  summary: Fast numerical expression evaluator for NumPy.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: b256cac6-c797-428d-8f42-453b12410dee
  recipe-maintainers:
    - djkirkham
    - msarahan
    - ocefpaf
    - scopatz
  remote_url: git@github.com:AnacondaRecipes/numexpr-feedstock.git
  sha: d43161b0a667d0fb08636c72b430b4b35782ade7
